package org.bench4q.share.models.agent;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "pluginInfoItem")
public class PluginInfoModel {
	private String name;
	private List<ParameterInfoModel> parameters;
	private List<BehaviorInfoModel> behaviors;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElementWrapper(name = "parameters")
	@XmlElement(name = "parameter")
	public List<ParameterInfoModel> getParameters() {
		return parameters;
	}

	public void setParameters(List<ParameterInfoModel> parameters) {
		this.parameters = parameters;
	}

	@XmlElementWrapper(name = "behaviors")
	@XmlElement(name = "behavior")
	public List<BehaviorInfoModel> getBehaviors() {
		return behaviors;
	}

	public void setBehaviors(List<BehaviorInfoModel> behaviors) {
		this.behaviors = behaviors;
	}
}
